% Vykreslenie Prilohy: 3.meranie - rusenia hlavne z drepov

osaX = (0:1:1000)/500;
figure();
subplot 211
plot(osaX, EMD_H(1,247*500:249*500)*1000000, 'Color', [66/255, 143/255, 244/255]);set(gca, 'FontSize', 12);
xlabel('t [s]', 'FontSize', 16);ylabel('U[\muV]','FontSize', 16);
hold on;
plot(osaX, signalPoFiltraciiVlnkaH(1,247*500:249*500)*1000000, 'Color', [244/255, 86/255, 66/255]);
hold on;
plot(osaX, signalPoFiltraciiWienerH(1,247*500:249*500)*1000000, 'Color', [58/255, 132/255, 23/255]);set(gca, 'FontSize', 14);
xlabel('t [s]', 'FontSize', 16);ylabel('U[\muV]','FontSize', 16);
title('Filtrácia vlnkovým a wienerovským filtrom - Zariadenie Holtermedical', 'FontSize', 16);set(gca, 'FontSize', 12);
legend({'Signál po filtrácii s využitím EMD', 'Signál po filtrácii vlnkovým filtrom', 'Signál po filtrácii wienerovským filtrom'}, 'FontSize', 12)


subplot 212
plot(osaX, EMD_F3(1,247*500:249*500), 'Color', [66/255, 143/255, 244/255]);set(gca, 'FontSize', 12);
xlabel('t [s]', 'FontSize', 16);ylabel('U[\muV]','FontSize', 16);
hold on;
plot(osaX, signalPoFiltraciiVlnkaF3(1,247*500:249*500), 'Color', [244/255, 86/255, 66/255]);
hold on;
plot(osaX, signalPoFiltraciiWienerF3(1,247*500:249*500), 'Color', [58/255, 132/255, 23/255]);set(gca, 'FontSize', 14);
xlabel('t [s]', 'FontSize', 16);ylabel('U[\muV]','FontSize', 16);
title('Filtrácia vlnkovým a wienerovským filtrom - Zariadenie Faros 180°', 'FontSize', 16);set(gca, 'FontSize', 12);
legend({'Signál po filtrácii s využitím EMD', 'Signál po filtrácii vlnkovým filtrom', 'Signál po filtrácii wienerovským filtrom'}, 'FontSize', 12)

